// sketch for new PCB 7th June 2024
// Garden rail BT Rx NRF Tx


#include <nRF24L01.h>
#include <RF24_config.h>
#include <RF24.h>
#include "SPI.h"    

unsigned char  data = 0, data_f1 = 0, data_f2 = 0, xdata;
const byte slaveAddress[5] = {'R','x','A','A','A'};
char dataToSend[20] = "DD,3,128,127,";
String Msg;
 RF24 radio(9,10);
String inString;

#include <SoftwareSerial.h>

SoftwareSerial bluetooth(7,8);  // RX TX

String Version = "BT_recv_send_nrf24L01_june24";    

boolean e_stop = false;


void setup() {

    radio.begin();
    radio.setDataRate( RF24_250KBPS );
    radio.setChannel(10); 
    radio.setRetries(0,0); // delay, count
    radio.openWritingPipe(slaveAddress);
  
Serial.begin(115200);
    Serial.println();
    Serial.print("Version: ");
    Serial.println(Version);
    
    bluetooth.begin(9600);
    bluetooth.setTimeout(500);
    delay(500); // wait for bluetooth module to start
    Serial.println("Bluetooth Started");  
    //bluetooth.println("Bluetooth Started");
    delay(100);
    
}


void loop() {  
     delay(5);
   bluetooth.listen();
  if(bluetooth.available() == true);{
      inString = bluetooth.readStringUntil('\n');
        Msg = inString; 
        send_data(); 
  }
}



void send_data(){ 
   int Msg_size = Msg.length();
  for (int i = 0; i <= Msg_size; i++) {
    dataToSend[i] = Msg.charAt(i);
  }
  Serial.println(Msg);
  radio.write( &dataToSend, sizeof(dataToSend) );
}
